Bug 80304 - [maintainer] audio/ocp: timidity patch
Summary: [maintainer] audio/ocp: timidity patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-24 18:50 UTC by Emanuel Haupt
Modified: 2005-04-25 01:01 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-04-24 18:50:19 UTC
The following patches add proper timiditiy support.

-- Makefile.patch start --
--- Makefile.orig	Sun Apr 24 21:31:57 2005
+++ Makefile	Sun Apr 24 21:32:24 2005
@@ -2,11 +2,12 @@
 # Date created:		22 April 2005
 # Whom:			Emanuel Haupt <ehaupt@critical.ch>
 #
-# $FreeBSD: ports/audio/ocp/Makefile,v 1.1 2005/04/24 14:11:31 jylefort Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	ocp
 PORTVERSION=	0.1.5
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://labs.nixia.no/
-- Makefile.patch stop --

-- midi.patch start --
--- files/patch-playgmi-gmitimidity.c.orig	Sun Apr 24 21:33:53 2005
+++ files/patch-playgmi-gmitimidity.c	Sun Apr 24 21:18:16 2005
@@ -0,0 +1,19 @@
+--- playgmi/gmitimidity.c.orig	Sun Apr 24 21:12:25 2005
++++ playgmi/gmitimidity.c	Sun Apr 24 21:13:16 2005
+@@ -235,7 +235,7 @@
+ 
+ 	DirectoryStackIndex=0;
+ 
+-	if ((inifile=fopen("/etc/timidity.cfg", "r")))
++	if ((inifile=fopen("/usr/local/share/timidity/timidity.cfg", "r")))
+ 	{
+ 		fprintf(stderr, "[timidity] parsing /etc/timitidy.cfg\n");
+ 		parse_config(inifile, 0);
+@@ -244,6 +244,6 @@
+ 		addpatch = addpatchTimidity;
+ 		return 1;
+ 	} else
+-		fprintf(stderr, "[timididy] failed to open /etc/timidity.cfg\n");
++		fprintf(stderr, "[timididy] failed to open /usr/local/share/timidity/timidity.cfg\n");
+ 	return 0;
+ }
-- midi.patch stop --
Comment 1 Jean-Yves Lefort freebsd_committer 2005-04-24 18:51:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-04-25 01:00:38 UTC
State Changed
From-To: open->closed

Committed with a few modifications, thanks!